summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--testsuite/gna/ticket87/hello.vhdl7
-rwxr-xr-xtestsuite/gna/ticket87/testsuite.sh17
2 files changed, 24 insertions, 0 deletions
diff --git a/testsuite/gna/ticket87/hello.vhdl b/testsuite/gna/ticket87/hello.vhdl
new file mode 100644
index 0000000..41e82d8
--- /dev/null
+++ b/testsuite/gna/ticket87/hello.vhdl
@@ -0,0 +1,7 @@
+entity hello is
+end;
+
+architecture behav of hello is
+begin
+ assert false report "Hello";
+end behav;
diff --git a/testsuite/gna/ticket87/testsuite.sh b/testsuite/gna/ticket87/testsuite.sh
new file mode 100755
index 0000000..8e87fd9
--- /dev/null
+++ b/testsuite/gna/ticket87/testsuite.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+mkdir dir1 dir2 || true
+
+cd dir1
+analyze ../hello.vhdl
+elab_simulate hello
+
+cd ../dir2
+elab_simulate --workdir=../dir1 hello
+
+cd ..
+rm -rf dir1 dir2
+
+echo "Test successful"